package com.ssj.service.reading.in;

import com.ssj.bean.common.framework.core.domain.BaseRequest;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;

/**
 * 会员管理入参实体
 */
public class BookLocalInDto extends BaseRequest{


	private static final long serialVersionUID = 1L;

	@ApiModelProperty(name="detailsId",value="图书二维码id",required=true)
	@NotNull
	private String detailsId;


	@ApiModelProperty(name="roleType",value="角色类型1-调度员2-家长3-馆长",required=true)
	@NotNull
	private String roleType;


	public String getDetailsId() {
		return detailsId;
	}

	public void setDetailsId(String detailsId) {
		this.detailsId = detailsId;
	}

	public String getRoleType() {
		return roleType;
	}

	public void setRoleType(String roleType) {
		this.roleType = roleType;
	}
}
